#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, temp,u=0;
    scanf("%d",&n);
    char a[n];
    int b[n];
    for(int i=0;i<n;i++)
    {
        scanf("%c",&a[i]);
    }
    if(n==26)
    {
        printf("0");
    }
    else if(n==27)
    {
        for(int j=0;j<27;j++)
        {
            for(int k=0;k<n;k++)
            {
                if(a[k]=='A'+u)
                {
                    u++;
                }
            }
        }
        if(u==26)
        {
            printf("1");
        }
        else
            printf("0");
    }
    return 0;
}